# Contributing to Orchestration Utilities

Thank you for considering contributing to our project!

## How to Contribute

1. **Clone the Repository**: Clone the forked repository to your local machine.
    ```sh
    git clone https://github.com/cloudfactory/orchestration-utilities.git
    ```

2. **Create a Branch**: Create a new branch for your feature or bugfix.
    ```sh
    git checkout -b feature/your-feature-name
    ```

3. **Make Changes**: Implement your changes in the new branch.

4. **Commit Changes**: Commit your changes with a clear and concise commit message.
    ```sh
    git add .
    git commit -m "Add feature: your feature description"
    ```

5. **Push Changes**: Push your changes to your forked repository.
    ```sh
    git push origin feature/your-feature-name
    ```

6. **Create a Pull Request**: Open a pull request to the main repository. Provide a detailed description of your changes and any relevant information.

## Code of Conduct

Please adhere to our [Code of Conduct](CODE_OF_CONDUCT.md) in all your interactions with the project.

## Reporting Issues

If you encounter any issues, please report them using the [issue tracker](https://github.com/cloudfactory/orchestration-utilities/issues). Provide as much detail as possible to help us resolve the issue quickly.

## Style Guide

- Follow the existing code style and conventions.
- Write clear and concise commit messages.
- Ensure your code is well-documented.

## Testing

Please ensure that your changes pass all existing tests and add new tests for any new functionality.

## Thank You!

Thank you for your contributions! Your support and involvement help make this project better.
